org.apache.tiles.request.velocity.render

## Class ApplicationContextJeeConfig

- java.lang.Object
- - org.apache.tiles.request.velocity.render.ApplicationContextJeeConfig

- All Implemented Interfaces:
    org.apache.velocity.tools.view.JeeConfig

      public class ApplicationContextJeeConfig
      extends Object
      implements org.apache.velocity.tools.view.JeeConfig

  Implements JeeConfig to use parameters set through

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationContextJeeConfig(ApplicationContext applicationContext, Map<String,String> params)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `findInitParameter(String key)`
    `String` | `getInitParameter(String name)`
    `Enumeration<String>` | `getInitParameterNames()`
    `String` | `getName()`
    `javax.servlet.ServletContext` | `getServletContext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationContextJeeConfig

          public ApplicationContextJeeConfig(ApplicationContext applicationContext,
                                             Map<String,String> params)

      Constructor.
      Parameters:
        `applicationContext` - The application context.
        `params` - Configuration parameters.

  - ### Method Detail

    - #### getInitParameter

          public String getInitParameter(String name)

      Specified by:
        `getInitParameter` in interface `org.apache.velocity.tools.view.JeeConfig`

    - #### findInitParameter

          public String findInitParameter(String key)

      Specified by:
        `findInitParameter` in interface `org.apache.velocity.tools.view.JeeConfig`

    - #### getInitParameterNames

          public Enumeration<String> getInitParameterNames()

      Specified by:
        `getInitParameterNames` in interface `org.apache.velocity.tools.view.JeeConfig`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.apache.velocity.tools.view.JeeConfig`

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Specified by:
        `getServletContext` in interface `org.apache.velocity.tools.view.JeeConfig`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.